{% extends "base.html" %}

{% block head %}
{% endblock %}

{% block content %}
<h2> Lorries </h2>
<table>
  <tr>
    <th>Name</th>
    <th>Interval</th>
    <th>Timeout</th>
    <th>Last Run</th>
    <th>Last Job</th>
    <th>Warnings</th>
    <th>Status</th>
  </tr>
{% for lorry in lorries %}
<tr>
  <td class="path"> <a href="/jobs/{{lorry.path}}">{{lorry.path}}</a>▪️ <a href="/spec/{{lorry.path}}">spec</a> </td>
  <td> {{ lorry.interval|friendly_duration }} </td>
  <td> {{ lorry.timeout|friendly_duration }} </td>
  <td> {{ lorry.last_run|friendly_time }} </td>
  <td> {{ lorry.last_status|pretty_job_status|safe }} </td>
  <td> {{ lorry.last_warnings|pretty_warning_count|safe }} </td>
  <td>{{ lorry.status|pretty_status|safe }}</td>
<tr>
{% endfor %}
</table>

<table>
  <th><h6><a href="/?page=0&count={{pagination.items_per_page}}">&laquo;</a></h6></th>
  {% if pagination.page != 0 %}
  <th><h6><a href="/?page={{pagination.page-1}}&count={{pagination.items_per_page}}"><</a></h6></th>
  {% endif %}
  <th><h6>{{pagination.page}}</h6></th>
  {% for i in 0..pagination.future_page_count %}
  <th><h6><a href="/?page={{pagination.page+i+1}}&count={{pagination.items_per_page}}">{{pagination.page+i+1}}</a></h6></th>
  {% endfor %}

  {% if pagination.future_page_count >= 1 %}
  <th><h6><a href="/?page={{pagination.page+1}}&count={{pagination.items_per_page}}">></a></h6></th>
  {% endif %}
</table>


{% endblock %}
